<i18n lang="yml">
  en:
    scan_results_per_day: "Scan results per day"
    strategic: "Strategic"
  nl:
    scan_results_per_day: "Scanresultaten per dag"
    strategic: "Strategisch"
</i18n>

<template>
  <div :class="$style['appsidebar']">
    <nuxt-link
      v-for="(page, index) in pages"
      :key="index"
      custom
      :to="localePath(page.path)"
      :exact="$route.name !== 'index'"
      :class="[
        $style['appsidebar-button'],
        $route.name && $route.name.includes(page.name) ? $style['is-homepage'] : null,
      ]"
      :title="$t($route.label)"
      tabindex="0"
    >
      <div>
        <AmsIcon
          aria-hidden="true"
          :icon="page.icon"
          :alt="$t(page.label)"
        />
      </div>
    </nuxt-link>

    <div v-show="loading" :class="$style['loading-slot']">
      <AmsLoadingIndicator />
    </div>
  </div>
</template>

<script lang="ts">
import {
  defineComponent,
} from "@nuxtjs/composition-api";
import useLoading from "~/composables/loading";

export default defineComponent({
  name: "AmsSidebar",

  components: {
    AmsLoadingIndicator: () => import("~/components/_elements/Indicators/Loading.vue"),
    AmsIcon: () => import("~/components/_elements/Icon/Icon.vue"),
  },

  setup () {
    const { loading } = useLoading();

    const pages = [
      {
        name: "index",
        label: "scan_results_per_day",
        icon: "IconLocation",
        path: "/",
      },
      {
        name: "strategic",
        label: "strategic",
        icon: "IconAnalytics",
        path: "/strategic/current",
      },
    ];

    return {
      loading,
      pages,
    };
  },
});
</script>

<style lang="postcss">
:root {
  --appsidebar-width: 4rem;

  @screen sm {
    --appsidebar-width: 5rem;
  }
}
</style>

<style lang="postcss" module>
.appsidebar {
  height: var(--appsidebar-width, 4rem);

  @apply fixed bottom-0 z-50 border-t-8 border-gray-150 flex flex-row flex-none justify-start items-center w-full bg-white select-none;

  @screen sm {
    width: var(--appsidebar-width, 5rem);
    height: calc(100vh - var(--appheader-height, 4.375rem));

    @apply relative z-auto border-t-0 border-r-8 border-gray-150 flex-col pt-4;
  }

  &-button {
    @apply flex flex-col justify-center items-center border-b-4 border-transparent py-6 w-20 h-full text-xl text-gray-400 font-semibold;

    @screen sm {
      @apply border-b-0 border-l-4 py-8 w-full h-8;
    }

    &.is-homepage {
      @apply border-b-4 border-blue-700 text-blue-700;

      @screen sm {
        @apply border-b-0 border-l-4;
      }
    }

    &:focus {
      @apply outline-none;
    }

    &:hover,
    &[data-focus-visible-added] {
      @apply cursor-pointer border-b-4 border-blue-700 bg-blue-300 text-blue-700;

      @screen sm {
        @apply border-b-0 border-l-4;
      }
    }
  }
}

.loading-slot {
  @apply absolute bottom-0 mb-8;
}
</style>

<style lang="postcss" scoped>
.nuxt-link-active {
  @apply border-b-4 border-blue-700 text-blue-700;

  @screen sm {
    @apply border-b-0 border-l-4;
  }
}
</style>
